On RHEL (Red Hat Enterprise Linux) 5 platform the CommandCentral Storage (CCS) installer bails out if Security Enhanced Linux (SELinux) is in permissive mode.

Problem

On RHEL (Red Hat Enterprise Linux) 5 platform the CommandCentral Storage (CCS) installer bails out if Security Enhanced Linux (SELinux) is in permissive mode.

Error Message

Failure to install a CoomandCentral Storage Managed host on Red Hat Linux

Solution

README for CPI Hot Fix for supporting installation of CCS managed host on Red Hat Enterprise Linux 5 where Security Enhanced Linux is in permissive mode.

VERITAS CommandCentral Storage managed Host
***************************************************************************

Apply this hotfix only on following systems.
1. On a Red Hat Enterprise Linux 5 where SELinux is in permissive mode.


Header Information
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
Synopsis: CPI Hot Fix for supporting installation of CCS managed host on Red Hat Enterprise Linux 5 where Security Enhanced Linux is in permissive mode.

Fixed Files:                    Not applicable.
Platform:                   RHEL 5
Date:                       December 10, 2009.
Applicable version of CCS:       5.0MP1, 5.1 and 5.1.1

^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
Issues Fixed
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
1. On RHEL (Red Hat Enterprise Linux) 5 platform the CommandCentral Storage (CCS) installer bails out if Security Enhanced Linux (SELinux) is in permissive mode.

^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

To determine if the RHEL  environment is running under SELinux review the attached technote.

- INSTRUCTION HOW TO APPLY THE FIXED BINARY FILE:
Download the CPI (Cross Platform Installer) patch attached to the local system from where installation is intended to start into a temporary directory and name it CPI_Linux_SELinux_HF.pl.

From the CCS install image, run the following command.
./installccstor  -require <absolute path of CPI patch>

E.g:./installccstor -require /tmp/CPI_Linux_SELinux_HF.pl

Terms of use for this information are found in Legal Notices.

Search

Survey

Did this article answer your question or resolve your issue?

No
Yes

Did this article save you the trouble of contacting technical support?

No
Yes

How can we make this article more helpful?

Email Address (Optional)